<template>
  <div>
    <h2>BECAS DE ESTUDIO</h2>
    <div>
      <h4> Periodo Activo: {{ formatDate(configStore.listadoPeriodoActivo[0]?.f_periodo) }}</h4>
    </div>
  </div>
</template>


<script setup lang="ts">
//libreries
import { onMounted } from "vue";
import { BreadCrumbRoute } from "@hcd-bsas/vue3-components";
import { loading, useBreadcrumb } from "@/shared.js";
import { DateTime } from "luxon";
// Stores
import { useConfigStore } from "@/stores/configgral";


const { breadcrumb } = useBreadcrumb();
const configStore = useConfigStore();

function formatDate(date: string | null) {
  if (date != null) {
    return DateTime.fromISO(date).toLocaleString();
  }
}



onMounted(async () => {
  loading.show();
  breadcrumb?.initRoutes([
    new BreadCrumbRoute("inicio"),
  ]);

  await configStore.updateListadoPeriodo();
  loading.hide();

});



</script>
  <!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>